From a994d2ec4a6f2fc3c9ef52c3bd7a79d1f2ca8ffb Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 2 Jun 2015 21:57:49 -0400
Subject: [PATCH] src/interp/vmlisp.lisp remove lasttail

Goal: Remove MACLISP, move toward Common Lisp
---
 changelog                        |    5 +++++
 patch                            |    7 +++----
 src/axiom-website/patches.html   |    2 ++
 src/interp/i-spec1.lisp.pamphlet |    2 +-
 src/interp/sys-pkg.lisp.pamphlet |    1 -
 src/interp/vmlisp.lisp.pamphlet  |    2 --
 6 files changed, 11 insertions(+), 8 deletions(-)

diff --git a/changelog b/changelog
index c8dceee..41ca0f8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20150602 tpd src/axiom-website/patches.html 20150602.01.tpd.patch 
+20150602 tpd books/bookvol5 remove lasttail
+20150602 tpd src/interp/i-spec1.lisp remove lasttail
+20150602 tpd src/interp/sys-pkg.lisp remove lasttail
+20150602 tpd src/interp/vmlisp remove lasttail
 20150527 tpd src/axiom-website/patches.html 20150527.01.tpd.patch 
 20150527 tpd books/bookvol5 move PLACEP VMREAD to Algebra support section
 20150527 tpd src/interp/vmlisp.lisp remove PLACEP VMREAD
diff --git a/patch b/patch
index 03ffe09..e54da4e 100644
--- a/patch
+++ b/patch
@@ -1,6 +1,5 @@
-books/bookvol5 move PLACEP VMREAD to Algebra support section
+src/interp/vmlisp.lisp remove lasttail
+
+Goal: Remove MACLISP, move toward Common Lisp
 
-Goal: Collect functions that directly support algebra in one place
 
-placep and vmread are used in File. They have been moved to the
-proper section in the interpreter from vmlisp.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f6e6118..16a5e8b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5078,6 +5078,8 @@ books/bookvolbib add Thie15 reference<br/>
 src/interp/vmlisp.lisp remove KAR, KDR, KADR, KADDR macros<br/>
 <a href="patches/20150527.01.tpd.patch">20150527.01.tpd.patch</a>
 books/bookvol5 move PLACEP VMREAD to Algebra support section<br/>
+<a href="patches/20150602.01.tpd.patch">20150602.01.tpd.patch</a>
+src/interp/vmlisp remove lasttail
  </body>
 </html>
 
diff --git a/src/interp/i-spec1.lisp.pamphlet b/src/interp/i-spec1.lisp.pamphlet
index 595955f..e98e24c 100644
--- a/src/interp/i-spec1.lisp.pamphlet
+++ b/src/interp/i-spec1.lisp.pamphlet
@@ -3377,7 +3377,7 @@ There are several special modes used in these functions:
                 ('T |v|)))
              ((LISTP |v|)
               (COND
-                ((CDR (LASTTAIL |v|)) |v|)
+                ((CDR (last |v|)) |v|)
                 ('T (setq |op| (CAR |v|)) (setq |args| (CDR |v|))
                  (COND
                    ((LISTP |op|)
diff --git a/src/interp/sys-pkg.lisp.pamphlet b/src/interp/sys-pkg.lisp.pamphlet
index 6e963f7..9cccaf5 100644
--- a/src/interp/sys-pkg.lisp.pamphlet
+++ b/src/interp/sys-pkg.lisp.pamphlet
@@ -257,7 +257,6 @@ provides support for compiler code.
          BOOT::PARSE-BSTRING BOOT::/DEPTH BOOT::|$spadLibFT|
          BOOT::|$xyMax| BOOT::|$IOindex| BOOT::SPADCONST
          BOOT::|sayBrightlyI| BOOT::|SquareMatrix|
-         BOOT::LASTTAIL
          BOOT::|UnboundBox| BOOT::NEXT-TOKEN
          BOOT::|$OutsideStringIfTrue| BOOT::|$String| BOOT::TRIMLZ
          BOOT::KADR BOOT::STRMBLANKLINE BOOT::STRMSKIPTOBLANK
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index b4a970d..4713d0e 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -3248,8 +3248,6 @@ LP  (COND ((NULL X)
  
 (DEFUN LASTATOM (L) (if (ATOM L) L (LASTATOM (CDR L))))
  
-(define-function 'LASTTAIL #'last)
- 
 (define-function 'LISPELT #'ELT)
  
 (DEFUN TAKE (N X &aux m)
-- 
1.7.5.4

